net.minecraft.world

## Class WorldProviderSurface

- java.lang.Object
- - net.minecraft.world.WorldProvider
  - - net.minecraft.world.WorldProviderSurface

-     public class WorldProviderSurface
      extends WorldProvider

- - ### Field Summary

    - ### Fields inherited from class net.minecraft.world.WorldProvider

      `dimensionId, field_82913_c, hasNoSky, isHellWorld, lightBrightnessTable, moonPhaseFactors, terrainType, worldChunkMgr, worldObj`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `WorldProviderSurface()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getDimensionName()` Returns the dimension's name, e.g.

    - ### Methods inherited from class net.minecraft.world.WorldProvider

      `calcSunriseSunsetColors, calculateCelestialAngle, calculateInitialWeather, canBlockFreeze, canCoordinateBeSpawn, canDoLightning, canDoRainSnowIce, canMineBlock, canRespawnHere, canSnowAt, createChunkGenerator, doesXZShowFog, drawClouds, getActualHeight, getAverageGroundLevel, getBiomeGenForCoords, getCloudHeight, getCloudRenderer, getDepartMessage, getEntrancePortalLocation, getFogColor, getHeight, getHorizon, getMoonPhase, getMovementFactor, getProviderForDimension, getRandomizedSpawnPoint, getRespawnDimension, getSaveFolder, getSeed, getSkyColor, getSkyRenderer, getSpawnPoint, getStarBrightness, getVoidFogYFactor, getWelcomeMessage, getWorldHasVoidParticles, getWorldTime, isBlockHighHumidity, isDaytime, isSkyColored, isSurfaceWorld, registerWorld, resetRainAndThunder, setAllowedSpawnTypes, setCloudRenderer, setDimension, setSkyRenderer, setSpawnPoint, setWorldTime, shouldMapSpin, toggleRain, updateWeather`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### WorldProviderSurface

          public WorldProviderSurface()

  - ### Method Detail

    - #### getDimensionName

          public String getDimensionName()

      Returns the dimension's name, e.g. "The End", "Nether", or "Overworld".
      Specified by:
        `getDimensionName` in class `WorldProvider`